Skip to content
Platform / Docs / Voice design Pro API

API Reference

Voice design Pro API

POST sound-design-pro-api ID 30

Pro voice design and audio processing. Parameters follow this API page.

POST https://xiaoapis.com/api/audio/sounddesignpro

Overview

  • 专业音频能力
  • 异步/同步以文档为准

Use cases

  • 音频设计
  • 内容配乐处理
Conventions
  • Gateway · https://xiaoapis.com
  • Auth · send key (query or JSON body, as this API specifies)
  • Response · JSON. Check the business code and the HTTP status, not only HTTP 200

Authentication

Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.

POST https://xiaoapis.com/api/audio/sounddesignpro
Content-Type: application/json

{
  "key": "YOUR_API_KEY"
}

Request example

https://xiaoapis.com/api/audio/sounddesignpro?key=你的密钥

Details

请求HEADER:

名称值
Content-Typeapplication/x-www-form-urlencoded;charset=utf-8 或 application/json

接口说明:

声音设计PRO:根据声音文字描述生成专属音色(音色定制/音色创作)。返回的 voice_id 可直接用于「语音合成PRO」。

关联接口:语音合成PRO /api/audio/audiosavepro

计费说明:

按次计费,默认 200 点/次(约 2 元/次)。免费额度以控制台配置为准(文档参考免费 3 次)。超过 1 年未使用的音色ID将被清除。

请求参数说明:

名称必填类型示例值说明
key是string你的平台密钥接口密钥,在控制台→密钥管理查看
voice_prompt是string一个可爱的声音,超级可爱的女孩。声音描述,最大长度500字符,仅支持中文和英文
preview_text否string你好!预览音频文本,默认「你好!」,最多200字符
language_hints否stringzh语言选择,默认 zh(可选 zh 中文 / en 英文)

返回参数说明:

名称类型说明
codeint状态码
msgstring状态信息
dataobject结果数据
- voice_idstring音色ID;超过1年未使用将被清除
- preview_audioobject预览音频:base64 / format / sample_rate
- preview_urlstring预览音频转存后的本站URL(若保存成功)
- power_costnumber本次扣点
exec_timefloat执行耗时
ipstring客户端IP

错误码:

错误码类型说明
403int没有权限(密钥无效等)
400int参数传递不正确 / 业务失败
500int服务器内部错误

Response example

{"code":200,"msg":"音色创建成功","data":{"voice_id":"sd-8c034e3c82db494fb6e728f04115d944","preview_audio":{"base64":"UklGR...","format":"wav","sample_rate":24000},"preview_url":"https://xiaoapis.com/upload/audio/2026/07/15/sdpreview_xxx.wav","power_cost":200},"exec_time":5.76,"ip":"1.2.3.4"}

Error codes

错误码类型说明
403int没有权限(密钥无效等)
400int参数传递不正确 / 业务失败
500int服务器内部错误

FAQ

声音设计 PRO 能做什么?

提供专业向声音设计相关处理,请以当前文档参数与示例为准。

如何接入?

使用 API Key 按文档提交音频与设计参数。

和 TTS 的关系?

TTS 侧重文案转语音;本接口侧重声音设计类处理,可按业务串联。

如何看结果?

根据返回的音频地址或任务状态字段获取产出。

计费方式?

以控制台与文档标价为准。

Full console doc (with the debugger):/doc/30